 include/linux/bitops.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN include/linux/bitops.h~generic_hweight64-fix include/linux/bitops.h
--- 25/include/linux/bitops.h~generic_hweight64-fix	2003-05-05 22:25:15.000000000 -0700
+++ 25-akpm/include/linux/bitops.h	2003-05-05 22:26:00.000000000 -0700
@@ -109,9 +109,9 @@ static inline unsigned int generic_hweig
 
 #if (BITS_PER_LONG == 64)
 
-static inline unsigned int generic_hweight64(unsigned int w)
+static inline u64 generic_hweight64(u64 w)
 {
-        unsigned int res = (w & 0x5555555555555555) + ((w >> 1) & 0x5555555555555555);
+        u64 res = (w & 0x5555555555555555) + ((w >> 1) & 0x5555555555555555);
         res = (res & 0x3333333333333333) + ((res >> 2) & 0x3333333333333333);
         res = (res & 0x0F0F0F0F0F0F0F0F) + ((res >> 4) & 0x0F0F0F0F0F0F0F0F);
         res = (res & 0x00FF00FF00FF00FF) + ((res >> 8) & 0x00FF00FF00FF00FF);

_
